diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index 1079140..8e39052 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -361,9 +361,11 @@
 
    <para>
     Note that constraints other than <literal>NOT NULL</> will never be
-    imported from the remote tables, since <productname>PostgreSQL</>
-    does not support any other type of constraint on a foreign table.
-    Checking other types of constraints is always left to the remote server.
+    imported from the remote tables.  Other than <literal>NOT NULL</>,
+    <productname>PostgreSQL</> supports <literal>CHECK</> constraints
+    on foreign tables.  However, it is up to you to determine which
+    <literal>CHECK</> constraints on the remote tables should be attached
+    to the foreign table definitions.
    </para>
   </sect3>
  </sect2>
